OpenVDB: CoordBBox::Iterator< ZYXOrder > Class Template Reference

OpenVDB 13.0.0

Loading...
Searching...
No Matches
CoordBBox::Iterator< ZYXOrder > Class Template Reference

Iterator over the Coord domain covered by a CoordBBox. More...

`#include <openvdb/math/Coord.h>`

## Public Member Functions
| Iterator (const CoordBBox &b)
| C-tor from a bounding box.
Iterator & | operator++ ()
| Increment the iterator to point to the next coordinate.
| operator bool () const
| Return `true` if the iterator still points to a valid coordinate.
const Coord & | operator* () const
| Return a const reference to the coordinate currently pointed to.
bool | operator== (const Iterator &other) const
| Return `true` if this iterator and the given iterator point to the same coordinate.
bool | operator!= (const Iterator &other) const
| Return `true` if this iterator and the given iterator point to different coordinates.

## Friends
class | CoordBBox

## Detailed Description

template<bool ZYXOrder>
class openvdb::v13_0::math::CoordBBox::Iterator< ZYXOrder >

Iterator over the Coord domain covered by a CoordBBox.

Note
  If ZYXOrder is `true`, z is the fastest-moving coordinate, otherwise the traversal is in XYZ order (i.e., x is fastest-moving).

## Constructor & Destructor Documentation

## ◆ Iterator()

template<bool ZYXOrder>

Iterator | ( | const CoordBBox & | b | ) |
| inline

C-tor from a bounding box.

## Member Function Documentation

## ◆ operator bool()

template<bool ZYXOrder>

operator bool | ( |  | ) | const
| inline

Return `true` if the iterator still points to a valid coordinate.

## ◆ operator!=()

template<bool ZYXOrder>

bool operator!= | ( | const Iterator< ZYXOrder > & | other | ) | const
| inline

Return `true` if this iterator and the given iterator point to different coordinates.

## ◆ operator*()

template<bool ZYXOrder>

const Coord & operator* | ( |  | ) | const
| inline

Return a const reference to the coordinate currently pointed to.

## ◆ operator++()

template<bool ZYXOrder>

Iterator & operator++ | ( |  | ) |
| inline

Increment the iterator to point to the next coordinate.

Iteration stops one past the maximum coordinate along the axis determined by the template parameter.

## ◆ operator==()

template<bool ZYXOrder>

bool operator== | ( | const Iterator< ZYXOrder > & | other | ) | const
| inline

Return `true` if this iterator and the given iterator point to the same coordinate.

## Friends And Related Symbol Documentation

## ◆ CoordBBox

template<bool ZYXOrder>

friend class CoordBBox
| friend